package com.zd.smartlock.mapper;

import com.zd.smartlock.domain.SlOpendoorApply;
import com.zd.smartlock.domain.SlUserRelation;
import com.zd.smartlock.domain.vo.SlOpendoorApplyVo;

import java.util.List;

/**
 * 申请开门Mapper接口
 *
 * @author zd
 * @date 2022-09-03
 */
public interface SlOpendoorApplyMapper
{
    /**
     * 查询申请开门
     *
     * @param id 申请开门主键
     * @return 申请开门
     */
    SlOpendoorApply selectSlOpendoorApplyById(Long id);

    /**
     * 查询申请开门列表
     *
     * @param slOpendoorApply 申请开门
     * @return 申请开门集合
     */
    List<SlOpendoorApplyVo> selectSlOpendoorApplyList(SlOpendoorApplyVo slOpendoorApply);

    /**
     * 根据主键集合查询申请开门列表
     *
     * @param ids 主键集合
     * @return 申请开门集合
     */
    List<SlOpendoorApply> getListByIds(List<Long> ids);

    /**
     * 新增申请开门
     *
     * @param slOpendoorApply 申请开门
     * @return 结果
     */
    int insertSlOpendoorApply(SlOpendoorApply slOpendoorApply);

    /**
     * 修改申请开门
     *
     * @param slOpendoorApply 申请开门
     * @return 结果
     */
    int updateSlOpendoorApply(SlOpendoorApply slOpendoorApply);

    /**
     * 删除申请开门
     *
     * @param id 申请开门主键
     * @return 结果
     */
    int deleteSlOpendoorApplyById(Long id);

    /**
     * 批量删除申请开门
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSlOpendoorApplyByIds(Long[] ids);
}
